%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupalbase           %{_datadir}/%{drupal}
%global drupal_sites_all    %{drupalbase}/sites/all        
%global drupal_modules      %{drupal_sites_all}/modules
# Use upstream name as expressed in URL and tarball
%global modname             eazylaunch

Name:    drupal%{drupalver}-%{modname}
Version: 1.4
Release: 7%{?dist}
Summary: Eazy Launch Module for Drupal6
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6

%description
EazyLaunch is a fast text-based launcher for instantly navigating the entire
menu system of a Drupal site

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .
cp %{SOURCE2} .


%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupal_modules}/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupal_modules}/%{modname}/'{}' \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# Remember to include other documentation text here as well
%doc  %{name}-fedora-README.txt
%doc  LICENSE.txt
# Remember to exclude all documentation texts from above
%exclude %{drupal_modules}/%{modname}/%{name}-fedora-README.txt
%exclude %{drupal_modules}/%{modname}/LICENSE.txt
%{drupal_modules}/%{modname}

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jun 5 2012 Anderson Silva <ansilva@redhat.com> - 1.4-3
- Update Description
- Add LICENSE.txt with correct FSF address

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 1.4-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 1.4-1
- Initial rpm package
